import Vue, { VueConstructor, ComponentOptions } from "vue";
import "./types";
export interface BootstrapOptions {
    /** An optional object with additional options for vue. */
    options?: ComponentOptions<Vue>;
    /** Your application's entry component. */
    app: VueConstructor<any>;
    /** The selector to mount the app when ready. Default is `"#app"` */
    mount?: string;
    /** A hook that is called during startup. */
    start?(app: Vue): Promise<void> | void;
}
/** Start a vuechain app. */
export declare function bootstrap(options: BootstrapOptions): Promise<void>;
