var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
import Vue from "vue";
import { VueI18x } from "./i18x";
import "./types";
const ready = new Promise(resolve => {
    if (window.document.readyState == "complete") {
        resolve();
    }
    else {
        window.addEventListener("load", () => resolve());
    }
});
/** Start a vuechain app. */
export function bootstrap(options) {
    return __awaiter(this, void 0, void 0, function* () {
        Vue.use(VueI18x);
        const app = new Vue(Object.assign({
            render: c => c(options.app),
            i18n: new VueI18x()
        }, options.options || {}));
        if (options.start) {
            yield options.start(app);
        }
        yield ready;
        app.$mount(options.mount || "#app");
    });
}
//# sourceMappingURL=bootstrap.js.map