import Vue from "vue";
import VueI18n from "vue-i18n";
import { VueConstructor } from "vue";
export declare class VueI18x extends VueI18n {
    static install(Vue: VueConstructor): void;
    constructor();
    private _fetchingLocales;
    locale: string;
    /** Fetch and set the locale. */
    changeLocale(locale: string): Promise<void>;
    /**
     * Autodetect, fetch and set the locale.
     * If no supported locale is detected, the first supported locale is used as the fallback.
     */
    changeLocaleAuto(supportedLocales: string[]): Promise<void>;
    prefetchLocale(locale: string): Promise<void>;
    protected fetchLocale(locale: string): Promise<void>;
}
declare module "vue/types/vue" {
    interface Vue {
        /**
         * Access the global i18x instance.
         */
        readonly $i18x: VueI18x;
        /**
         * Translate an i18x key.
         * @param key The i18x key.
         * @param value The english default translation. This is ignored at runtime.
         * @param params An optional object with translation parameters.
         */
        $x(key: number, value: string, params?: any): string;
    }
}
declare module 'vue/types/options' {
    interface ComponentOptions<V extends Vue> {
        /** The i18x prefix for this component. */
        readonly i18nPrefix?: string;
    }
}
