"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const runners_1 = require("./runners");
const config_1 = require("./config");
const command_1 = require("@phylum/command");
exports.CONTEXT = { name: "context", alias: "c", defaultValue: "." };
exports.RUNNER_ENV = { name: "env", alias: "e", type: runners_1.VC_RUNNER_ENV_ARG };
exports.PACKAGE_NAME_ARG = Object.assign((value, spec) => {
    if (!isValidPackageName(value)) {
        throw new command_1.CommandError(`Usage: ${command_1.formatUsage(spec)}`);
    }
    return value;
}, {
    displayName: "npm package name"
});
exports.PACKAGE_NAME = { name: "name", alias: "n", type: exports.PACKAGE_NAME_ARG };
exports.PACKAGE_TYPE = { name: "type", alias: "t", type: config_1.VC_PACKAGE_TYPE_ARG };
function isValidPackageName(name) {
    return /^(?:\@[a-z0-9\-\_\.]+\/)?[a-z0-9\-\_\.]+$/.test(name);
}
exports.isValidPackageName = isValidPackageName;
//# sourceMappingURL=cli-args.js.map