"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const command_1 = require("@phylum/command");
const runners_1 = require("../runners");
const config_1 = require("../config");
const cli_args_1 = require("../cli-args");
async function run(command, argv) {
    const args = new command_1.CommandSpec([cli_args_1.CONTEXT, cli_args_1.RUNNER_ENV]).parse(argv);
    const config = await config_1.loadConfig(args.context);
    const env = args.env || (command === "start" ? "development" : "production");
    await runners_1.run(config, {
        watch: command === "start",
        env
    });
}
exports.run = run;
//# sourceMappingURL=build.js.map