import { ArgumentSpec } from "@phylum/command";
export interface VcConfig {
    readonly filename: string;
    readonly context: string;
    readonly external: boolean;
    readonly packageType: VcPackageType;
    readonly rootDir: string;
    readonly outDir: string;
    readonly prefix?: string;
    readonly adapter?: string;
}
export declare type VcPackageType = "application" | "library";
export declare const VC_PACKAGE_TYPES: Set<VcPackageType>;
export declare const VC_PACKAGE_TYPES_STR: string;
export declare const VC_PACKAGE_TYPE_ARG: ((value: string, spec: ArgumentSpec) => VcPackageType) & {
    displayName: string;
};
export declare class ConfigError extends TypeError {
    readonly filename: string;
    constructor(filename: string, message: string);
}
export declare function loadConfig(context: string): Promise<VcConfig>;
export declare function tryLoadConfig(context: string): Promise<VcConfig | undefined>;
