"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
class I18nFileMeta {
    constructor(filename, context, id) {
        this.filename = filename;
        this.context = context;
        this.id = id;
    }
    getPrefix(config) {
        return config.prefix ? `${config.prefix}.${this.id}.t` : `${this.id}.t`;
    }
}
exports.I18nFileMeta = I18nFileMeta;
function getFileMeta(filename) {
    // Math the smallest filename starting with "/src" or "/dist" and an extension:
    const match = /[\\\/](?:src|dist)((?:[\\\/](?!src|dist)[^\\\/]+)*)\.[^\\\/]+$/.exec(filename);
    if (match) {
        return new I18nFileMeta(filename, filename.slice(0, match.index), match[1]
            // Remove the trailing slash:
            .slice(1)
            // Ensure consistent paths between different platforms:
            .replace(/\\/g, "/"));
    }
}
exports.getFileMeta = getFileMeta;
//# sourceMappingURL=file-meta.js.map