import { I18xEntity } from "./parse-source";
/**
 * Justify i18x keys.
 * @param source The source code.
 * @param entities The parsed i18x entities.
 */
export declare function justifySource(source: string, entities: I18xEntity[]): I18xJustifyResult;
export interface I18xPair {
    /** The i18x key. */
    readonly key: number;
    /** The default english translation. */
    readonly value: string;
}
export interface I18xJustifyResult {
    /** All key value pairs included in the justified source code. */
    readonly pairs: I18xPair[];
    /** The justified source code. */
    readonly output: string;
}
