import { VcConfig } from "../config";
export interface I18nPackageManifest {
    /**
     * A map of compiled (absolute) filenames to arrays of full
     * i18n keys that are required to be available by the file.
     */
    readonly keys: ReadonlyMap<string, string[]>;
    /**
     * A set of locale ids that are supported by the package.
     */
    readonly locales: Set<string>;
}
export interface I18nPackageManifestJson {
    version: 1;
    keys: I18nPackageManifestJsonKey[];
    locales: string[];
}
export interface I18nPackageManifestJsonKey {
    filename: string;
    keys: string[];
}
export declare function getPackageManifestFilename(config: VcConfig): string;
export declare function getPackageManifest(config: VcConfig): Promise<I18nPackageManifest | undefined>;
