"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const fs_extra_1 = require("fs-extra");
const path_1 = require("path");
function getPackageManifestFilename(config) {
    return path_1.join(config.outDir, "i18n-manifest.json");
}
exports.getPackageManifestFilename = getPackageManifestFilename;
async function getPackageManifest(config) {
    const filename = getPackageManifestFilename(config);
    const json = await fs_extra_1.readJson(filename);
    if (json) {
        if (json.version !== 1) {
            throw new Error(`Incompatible i18n package manifest version: ${json.version} in ${filename}`);
        }
        return {
            keys: new Map(json.keys.map(entry => {
                return [
                    path_1.resolve(config.outDir, entry.filename),
                    entry.keys
                ];
            })),
            locales: new Set(json.locales)
        };
    }
}
exports.getPackageManifest = getPackageManifest;
//# sourceMappingURL=package-manifest.js.map