/**
 * Parse source code for i18x entities.
 */
export declare function parseSource(source: string): I18xEntity[];
export interface I18xTranslateFn {
    readonly type: "x";
    readonly key: number | undefined;
    readonly value: string;
    readonly start: number;
    readonly end: number;
}
export interface I18xDirective {
    readonly type: "directive";
    readonly key: number | undefined;
    readonly value: string;
    readonly start: number;
    readonly end: number;
}
export interface I18xExtendedDirective {
    readonly type: "extended-directive";
    readonly key: number | undefined;
    readonly options: string;
    readonly value: string;
    readonly start: number;
    readonly end: number;
}
export declare type I18xEntity = I18xTranslateFn | I18xDirective | I18xExtendedDirective;
