import { I18nPackageManifest } from "../../i18n/package-manifest";
import { VcConfig } from "../../config";
import { I18nFile, I18nAdapterContext, I18nDependency, I18nAdapter } from "../../i18n/adapter";
import { VcRunnerContext } from "..";
import { I18nMessages } from "../../i18n/messages";
export declare class I18nPlugin implements I18nAdapterContext {
    readonly config: VcConfig;
    readonly runner: VcRunnerContext;
    readonly adapter?: I18nAdapter | undefined;
    constructor(config: VcConfig, runner: VcRunnerContext, adapter?: I18nAdapter | undefined);
    private readonly _packageConfigRequests;
    private readonly _packageManifestRequests;
    private readonly _sourceRequests;
    private readonly _processingModules;
    private readonly _dependencies;
    private readonly _locales;
    readonly files: Map<string, I18nFile>;
    /** @internal */
    apply(compiler: any): void;
    getDependency(config: VcConfig): I18nDependency;
    bundleMessages(locale: string, messages: I18nMessages | string, path?: string): void;
    getPackageConfig(context: string): Promise<VcConfig | undefined>;
    getPackageManifest(config: VcConfig): Promise<I18nPackageManifest | undefined>;
    private processModule;
    private readSource;
    private writeSource;
}
