"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const command_1 = require("@phylum/command");
exports.VC_RUNNER_ENVS = new Set(["development", "production", "testing"]);
exports.VC_RUNNER_ENVS_STR = Array.from(exports.VC_RUNNER_ENVS).map(t => `"${t}"`).join(", ");
exports.VC_RUNNER_ENV_ARG = Object.assign((value, spec) => {
    if (!exports.VC_RUNNER_ENVS.has(value)) {
        throw new command_1.CommandError(`Usage: ${command_1.formatUsage(spec)}`);
    }
    return value;
}, {
    displayName: exports.VC_RUNNER_ENVS_STR
});
async function run(config, options) {
    // Package type specific runners are loaded on demand to
    // prevent loading large dependencies when they are not needed.
    switch (config.packageType) {
        case "application": return (await Promise.resolve().then(() => require("./application"))).run(config, options);
        case "library": return (await Promise.resolve().then(() => require("./library"))).run(config, options);
    }
}
exports.run = run;
//# sourceMappingURL=index.js.map