import { I18nAdapterContext, I18nFile } from "../../../i18n/adapter";
import { VcConfig } from "../../../config";
import { I18nPackageManifest, I18nPackageManifestJson } from "../../../i18n/package-manifest";
import { VcRunnerContext } from "../..";
import { I18nMessages } from "../../../i18n/messages";
export declare class I18nContext implements I18nAdapterContext {
    readonly config: VcConfig;
    readonly runner: VcRunnerContext;
    constructor(config: VcConfig, runner: VcRunnerContext);
    private readonly _packageConfigRequests;
    private readonly _packageManifestRequests;
    private readonly _sourceOutputRelations;
    readonly locales: Map<string, I18nMessages>;
    readonly files: Map<string, I18nFile>;
    getPackageConfig(context: string): Promise<VcConfig | undefined>;
    getPackageManifest(config: VcConfig): Promise<I18nPackageManifest | undefined>;
    /**
     * Add an output-source file relation.
     * @param distOutputFilename The output filename (relative to config.outDir)
     * @param sourceFilename The source filename.
     */
    setOutputSourceRelation(distOutputFilename: string, sourceFilename: string): void;
    /** Generate a manifest from the current context. */
    generateManifest(): I18nPackageManifestJson;
    bundleMessages(locale: string, messages: I18nMessages | string, path?: string): void;
}
