"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
class Task {
    constructor(action) {
        this.action = action;
        this.running = null;
        this.invalid = false;
    }
    run() {
        if (this.running) {
            this.invalid = true;
        }
        else {
            this.running = (async () => this.action())().finally(() => {
                this.running = null;
                if (this.invalid) {
                    this.invalid = false;
                    this.run();
                }
            });
        }
        return this.running;
    }
}
exports.Task = Task;
//# sourceMappingURL=task.js.map