/**
 * Generate entry module code that imports decomposed parts of a
 * vue component and exports a normalized vue component as default.
 *
 * (Named exports from the component script are currently not supported, which
 * will pass through typescript silently, but break during the webpack build)
 */
export declare const componentEntry: ({ stem, hasTemplate, hasScript, hasStyles, scoped, scopeId }: {
    readonly stem: string;
    readonly hasTemplate: boolean;
    readonly hasScript: boolean;
    readonly hasStyles: number;
    readonly scoped: boolean;
    readonly scopeId: string;
}) => string;
export declare const componentDeclaration: ({ stem, hasDeclaration }: {
    readonly stem: string;
    readonly hasDeclaration: boolean;
}) => string;
/**
 * Generate template module code that exports compiled render functions.
 * The code must define two constants: `render` and `staticRenderFns`
 */
export declare const templateModule: ({ code }: {
    readonly code: string;
}) => string;
